import ttkbootstrap as tb
from ttkbootstrap.constants import *
from tkinter import messagebox

# Function to handle login
def login():
    username = entry_username.get()
    password = entry_password.get()

    if username == "admin" and password == "password":  # Dummy credentials
        messagebox.showinfo("Login Successful", "Welcome, Admin!")
    else:
        messagebox.showerror("Login Failed", "Invalid username or password.")

# Create main window
root = tb.Window(themename="superhero")  # Try different themes like "darkly", "minty", etc.
root.title("Login Form")
root.geometry("900x800")

# Title Label
label_title = tb.Label(root, text="Login", font=("Helvetica", 18, "bold"))
label_title.pack(pady=10)

# Username Entry
tb.Label(root, text="Username:").pack(pady=5)
entry_username = tb.Entry(root, bootstyle="info")
entry_username.pack(pady=5)

# Password Entry
tb.Label(root, text="Password:").pack(pady=5)
entry_password = tb.Entry(root, bootstyle="info", show="*")  # Masked input
entry_password.pack(pady=5)

# Login Button
btn_login = tb.Button(root, text="Login", bootstyle="primary", command=login)
btn_login.pack(pady=15)

# Run the GUI
root.mainloop()
